<?php 
// 함수: 카카오 curl 통신 
function curl_kakao($url,$headers = array()){
	if(empty($url)){ return false ; }

	// URL에서 데이터를 추출하여 쿼리문 생성
	$purl = parse_url($url); $postfields = array();
	if( !empty($purl['query']) && trim($purl['query']) != ''){
		$postfields = explode("&",$purl['query']);
	}

	$ch = curl_init(); 
	curl_setopt($ch, CURLOPT_URL, $url); 
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE); 
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0); 
	curl_setopt($ch, CURLOPT_USERAGENT, $_SERVER['HTTP_USER_AGENT']); 
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); 
	curl_setopt($ch, CURLOPT_POST, 1); 
	curl_setopt($ch, CURLOPT_POSTFIELDS, $postfields); 
	if( count($headers) > 0){ 
		curl_setopt($ch, CURLOPT_HTTPHEADER, $headers); 
	}

	ob_start(); // prevent any output
	$data = curl_exec($ch); 
	ob_end_clean(); // stop preventing output

	if (curl_error($ch)){ return false;} 

	curl_close($ch); 
	return $data;		
}	

// 주문번호 생성
function create_order_id(){
	return time().mt_rand(1111111111,9999999999);
}

// 모바일 체크  (https://gomest.tistory.com/25)
function check_mobile(){
	$mobile_agent = "/(iPod|iPhone|Android|BlackBerry|SymbianOS|SCH-M\d+|Opera Mini|Windows CE|Nokia|SonyEricsson|webOS|PalmOS)/";
	if(preg_match($mobile_agent, $_SERVER['HTTP_USER_AGENT'])){
		return true;
	}
	return false;
}